import { DelegationChain, DelegationIdentity, Ed25519KeyIdentity } from "@dfinity/identity";
import { PublicKey } from "@solana/web3.js";
/**
 * Loads the SIWS identity from local storage.
 */
export declare function loadIdentity(): readonly [PublicKey, DelegationIdentity, DelegationChain];
/**
 * Saves the SIWS identity to local storage.
 */
export declare function saveIdentity(publicKey: PublicKey, sessionIdentity: Ed25519KeyIdentity, delegationChain: DelegationChain): void;
/**
 * Clears the SIWS identity from local storage.
 */
export declare function clearIdentity(): void;
